## org.jdom.adapters
Class XML4JDOMAdapter

    java.lang.Object
      |
      +--org.jdom.adapters.AbstractDOMAdapter
            |
            +--org.jdom.adapters.XML4JDOMAdapter

public class XML4JDOMAdapter
extends AbstractDOMAdapter

`XML4JDOMAdapter`

This class defines wrapper behavior for obtaining a DOM `Document` object from an IBM XML4J DOM parser.

Version:
  $Revision: 1.9 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Jason Hunter

Constructor Summary
`XML4JDOMAdapter()`

Method Summary
`org.w3c.dom.Document` `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`org.w3c.dom.Document` `getDocument(java.io.InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Methods inherited from class org.jdom.adapters.AbstractDOMAdapter
`createDocument, getDocument, setInternalSubset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML4JDOMAdapter

    public XML4JDOMAdapter()

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument(java.io.InputStream in,
                                            boolean validate)
                                     throws java.io.IOException

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Overrides:
    getDocument in class AbstractDOMAdapter
  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.io.IOException - when errors occur in parsing.

### createDocument

    public org.w3c.dom.Document createDocument()
                                        throws java.io.IOException

  This creates an empty `Document` object based on a specific parser implementation.

  Overrides:
    createDocument in class AbstractDOMAdapter
  Returns:
    `Document` - created DOM Document.
  Throws:
    java.io.IOException - when errors occur.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.